package Bubulle;

import java.io.IOException;
import java.util.ArrayList;

public class Recherche {

	
	static ArrayList<Bulle> file = new ArrayList<Bulle>();
	
	public static void main(String[] args) throws IOException {
		
		
		final String norma = "norma_N5_tau4_dt2_delai820_00000";
		final String ext = ".txt";
		int max = 1; 
		
		String name = norma+max+ext;
		
		//Lecture et stockage en mémoire de toute les bulles
		Lecture.launch(name);
		
		
		debug();//TODO
	}
	
	//Ajout d'une bulle en mémoire
	public static void addBulle(Bulle b) {
		
		file.add(b);
	}
	
	private static void calcul() {
		System.out.println("Il y a " + file.size() + " fichier(s)");
		
		System.out.println();
		
		int min = 10000, max = 0, moy = 0;
		int size = file.size();
		System.out.println("le fichier contient " + size + " bulles ("+ size/5.0 +" trajectoires)");
	}
	
	//DEBUG TODO
	public static void debug() {
		
		calcul();
		
		System.out.println("cas pour les 3 premières :");
		for(int i = 0; i < 3; i++) {
			Bulle b = file.get(i);
			System.out.println("Bulle : " + b.getNo() + " | x : " + b.getX() + " | y : " + b.getY() + " | z : " + b.getZ());
		}
		Angle.angle(file.get(0), file.get(1), file.get(2), 180);
			
		
		//System.out.println("Il y a un écart de " + (max-min) + " bulles");
		//System.out.println("Il y a un total de " + moy+ " bulles");
		//System.out.println("Il y a en moyenne " + ((double)moy/(double)file.size())+ " bulles");
			
	}
}
